### Enumeration

# Pango FontMask

#### Declaration

    flags Pango.FontMask

#### Description [src]

The bits in a `PangoFontMask` correspond to the set fields in a `PangoFontDescription`.

#### Members

`PANGO_FONT_MASK_FAMILY`

  The font family is specified.

  - Value: `1`
  - Available since: 1.0
`PANGO_FONT_MASK_STYLE`

  The font style is specified.

  - Value: `2`
  - Available since: 1.0
`PANGO_FONT_MASK_VARIANT`

  The font variant is specified.

  - Value: `4`
  - Available since: 1.0
`PANGO_FONT_MASK_WEIGHT`

  The font weight is specified.

  - Value: `8`
  - Available since: 1.0
`PANGO_FONT_MASK_STRETCH`

  The font stretch is specified.

  - Value: `16`
  - Available since: 1.0
`PANGO_FONT_MASK_SIZE`

  The font size is specified.

  - Value: `32`
  - Available since: 1.0
`PANGO_FONT_MASK_GRAVITY`

  The font gravity is specified.

  - Value: `64`
  - Available since: 1.16
`PANGO_FONT_MASK_VARIATIONS`

  OpenType font variations are specified.

  - Value: `128`
  - Available since: 1.42
`PANGO_FONT_MASK_FEATURES`

  OpenType font features are specified.

  - Value: `256`
  - Available since: 1.56
`PANGO_FONT_MASK_COLOR`

  Font color is specified.

  - Value: `512`
  - Available since: 1.57